# -*- coding: utf-8; -*-
################################################################################
#
#  pyCOREPOS -- Python Interface to CORE POS
#  Copyright © 2018-2019 Lance Edgar
#
#  This file is part of pyCOREPOS.
#
#  pyCOREPOS is free software: you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  pyCOREPOS is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along with
#  pyCOREPOS.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
CORE POS enumeration constants
"""

from __future__ import unicode_literals, absolute_import

try:
    from collections import OrderedDict
except ImportError:
    from ordereddict import OrderedDict


HOUSE_COUPON_MEMBER_ONLY_NO     = 0
HOUSE_COUPON_MEMBER_ONLY_YES    = 1
HOUSE_COUPON_MEMBER_ONLY_PLUS   = 2

HOUSE_COUPON_MEMBER_ONLY = OrderedDict([
    (HOUSE_COUPON_MEMBER_ONLY_NO,       "No"),
    (HOUSE_COUPON_MEMBER_ONLY_YES,      "Yes"),
    (HOUSE_COUPON_MEMBER_ONLY_PLUS,     "Plus"),
])


HOUSE_COUPON_DISCOUNT_TYPE_QUANTITY     = 'Q'

HOUSE_COUPON_DISCOUNT_TYPE = OrderedDict([
    (HOUSE_COUPON_DISCOUNT_TYPE_QUANTITY,       "Quantity Discount"),
])
